petsc-3.6.2 2015-10-02
Report Typos and Errors

# SNESDestroy

Destroys the nonlinear solver context that was created with SNESCreate().

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESDestroy(SNES *snes)

Collective on SNES

### Input Parameter

snes -the SNES context

### Keywords

SNES, nonlinear, destroy

### See Also

SNESCreate(), SNESSolve()

Level:beginner
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex1.c.html
src/snes/examples/tutorials/ex2.c.html
src/snes/examples/tutorials/ex3.c.html
src/snes/examples/tutorials/ex5.c.html
src/snes/examples/tutorials/ex5s.c.html
src/snes/examples/tutorials/ex7.c.html
src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex14.c.html
src/snes/examples/tutorials/ex15.c.html
src/snes/examples/tutorials/ex18.c.html
src/snes/examples/tutorials/ex19.c.html